Bug 1874830 (CVE-2020-2229) - CVE-2020-2229 jenkins: user-specified tooltip values leads to stored cross-site scripting
Summary: CVE-2020-2229 jenkins: user-specified tooltip values leads to stored cross-si...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2229
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1874831 1869646 1875257 1875258 1875259 1875260 1875261 1877292
Blocks: 1874833
TreeView+ depends on / blocked
 
Reported: 2020-09-02 11:26 UTC by msiddiqu
Modified: 2020-10-22 10:48 UTC (History)
22 users (show)

Fixed In Version: Jenkins 2.252, Jenkins-LTS 2.235.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Jenkins in versions prior to 2.251 and LTS 2.235.3. Tooltip values, which are not properly escaped, can be contributed by plugins and use user-specified values. This results in a potential stored cross-site scripting (XSS) vulnerability. This highest threat from this vulnerability is to data confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2020-09-30 20:21:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3841 None None None 2020-09-30 18:54:57 UTC
Red Hat Product Errata RHSA-2020:4220 None None None 2020-10-13 08:04:20 UTC
Red Hat Product Errata RHSA-2020:4223 None None None 2020-10-22 10:48:39 UTC

Description msiddiqu 2020-09-02 11:26:37 UTC
Jenkins 2.251 and earlier, LTS 2.235.3 and earlier does not escape the tooltip content of help icons. Tooltip values can be contributed by plugins, some of which use user-specified values. This results in a stored cross-site scripting (XSS) vulnerability.

Comment 1 msiddiqu 2020-09-02 11:27:07 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-31 [bug 1874831]

Comment 2 msiddiqu 2020-09-02 11:31:04 UTC
External References:

https://jenkins.io/security/advisory/2020-08-12/#SECURITY-1955

Comment 5 errata-xmlrpc 2020-09-30 18:54:55 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.5

Via RHSA-2020:3841 https://access.redhat.com/errata/RHSA-2020:3841

Comment 6 Product Security DevOps Team 2020-09-30 20:21:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2229

Comment 7 errata-xmlrpc 2020-10-13 08:04:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.4

Via RHSA-2020:4220 https://access.redhat.com/errata/RHSA-2020:4220

Comment 10 errata-xmlrpc 2020-10-22 10:48:35 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2020:4223 https://access.redhat.com/errata/RHSA-2020:4223


Note You need to log in before you can comment on or make changes to this bug.